#!/usr/bin/perl

#  Cmdline arguments are optional, and can be
#
#    <file.datinfo>  eg "out.pingpong_sequential.128.datinfo"
#      where the .datinfo and a corresponding .dat file are expected
#      to already exist.
#
#    -individual     which in addition to creating a graph
#       with all the data lines also creates individual graphs
#       for each line (and inverts the data if needed so that bad
#       datapoints are upward spikes).
#
#  If a .datinfo file or files are not given then the file names in the
#  directory are parsed and all .datinfo files found are processed.
#
#  Any .datinfo graphs that are processed are also saved in the
#  Report/ directory, but only the last invocation of "mkreport.pl"
#  has data there (it cleans the directory each time) so you should
#  process all the .datinfo files in a single "mkreport.pl" invocation
#  if you want Report/ to contain everything.

system "rm -rf Report";
system "mkdir -p Report";
open FH, "> Report/report.html";
print FH `cat ../support/header.html`;
print FH `cat header4.html`;
print FH "<hr>";
print FH "Stdout for the testcase follows:";
print FH "<hr>";
print FH "<pre>\n";
print FH `cat out.ringstress.txt`;
print FH "</pre>\n";
print FH "</body>\n";
print FH "</html>\n";
close FH;
